#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){

	ofSetVerticalSync(true);

	ofBackground(0, 0, 0);
	TPR.setup();
	playbackStartTime = 0;

	
	myMovie.loadMovie("raverLion.mov");
	myMovie.play();
	videoPosition=0;
	
}


//--------------------------------------------------------------
void testApp::update(){
		myMovie.idleMovie();
}

//--------------------------------------------------------------
void testApp::draw(){

	ofSetColor(255, 255, 255);
	myMovie.setPosition(videoPosition);
	myMovie.draw(192,50);
	// -------------------------- draw the line
	TPR.draw();
	
	// -------------------------- draw the point at the current time
	if (TPR.bHaveADrawing()){			// if we have a drawing to work with
		
		// figure out what time we are at, and make sure we playback cyclically (!)
		// use the duration here and make sure our timeToCheck is in the range of 0 - duration
		float timeToCheck = ofGetElapsedTimef() - playbackStartTime;
		while (timeToCheck > TPR.getDuration() && TPR.getDuration() > 0){
			timeToCheck -= TPR.getDuration();
		}
		
		// get the position and velocity at timeToCheck
		ofPoint pos = TPR.getPositionForTime(timeToCheck);
		ofPoint vel = TPR.getVelocityForTime(timeToCheck);
		
		// since velocity is a line, we want to know how long it is. 
		float lengthOfVel = ofDist(0,0,vel.x, vel.y);
		
		float tempVideoPos=(ofMap(lengthOfVel, 0, 200, 0, 1, true))/3;
		videoPosition+=tempVideoPos;
		if (videoPosition>1) {
			videoPosition=0;
		}
		
		
		ofFill();
		ofSetColor(255,0,0);
		ofCircle(pos.x, pos.y, 5);
		
		
	}
	
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	TPR.addPoint(x,y);
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	TPR.startDrawing(x,y);
}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){
	TPR.endDrawing();
	playbackStartTime = ofGetElapsedTimef();
}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}



